/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package de.buegmbh.bugs.weld.service;

import de.buegmbh.bugs.weld.model.Entity01;
import de.buegmbh.bugs.weld.qualifiers.Created;
import de.buegmbh.bugs.weld.qualifiers.Deleted;
import de.buegmbh.bugs.weld.qualifiers.Updated;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.ejb.Local;
import javax.ejb.Singleton;
import javax.ejb.Startup;
import javax.enterprise.event.Observes;

/**
 *
 * @author zuleger
 */
@Singleton
@Startup
@Local(Entity01ServiceLocal.class)
public class Entity01Service implements Entity01ServiceLocal {
    private static final Logger logger = Logger.getLogger(Entity01Service.class.getName());
    
    @Override
    public void afterEntityCreated(@Observes @Created Entity01 entity) {
        logger.log(Level.WARNING, "Entity01 created!");
    }

    @Override
    public void afterEntityUpdated(@Observes @Updated Entity01 entity) {
        logger.log(Level.WARNING, "Entity01 updated!");
    }

    @Override
    public void afterEntityDeleted(@Observes @Deleted Entity01 entity) {
        logger.log(Level.WARNING, "Entity01 deleted!");
    }

}
