/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package de.buegmbh.bugs.weld.service;

import de.buegmbh.bugs.weld.model.Entity02;
import de.buegmbh.bugs.weld.qualifiers.Created;
import de.buegmbh.bugs.weld.qualifiers.Deleted;
import de.buegmbh.bugs.weld.qualifiers.Updated;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.ejb.Local;
import javax.ejb.Singleton;
import javax.ejb.Startup;
import javax.enterprise.event.Observes;

/**
 *
 * @author zuleger
 */
@Singleton
@Startup
@Local(Entity02ServiceLocal.class)
public class Entity02Service implements Entity02ServiceLocal {
    private static final Logger logger = Logger.getLogger(Entity02Service.class.getName());
    
    @Override
    public void afterEntityCreated(@Observes @Created Entity02 entity) {
        logger.log(Level.WARNING, "Entity02 created!");
    }

    @Override
    public void afterEntityUpdated(@Observes @Updated Entity02 entity) {
        logger.log(Level.WARNING, "Entity02 updated!");
    }

    @Override
    public void afterEntityDeleted(@Observes @Deleted Entity02 entity) {
        logger.log(Level.WARNING, "Entity02 deleted!");
    }

}
